Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.transformer.om
Enum ForeignKeyChildAttributeName

    java.lang.Object
      java.lang.Enum<ForeignKeyChildAttributeName>
          org.apache.torque.templates.transformer.om.ForeignKeyChildAttributeName

All Implemented Interfaces:
  Serializable, Comparable<ForeignKeyChildAttributeName>, SourceAttributeName

    public enum ForeignKeyChildAttributeName

extends Enum<ForeignKeyChildAttributeName>
implements SourceAttributeName

Contains the attribute names of the child elements for a foreign-key source element which are not defined in the Torque schema. These attributes might be created in the transformation.

Enum Constant Summary
`BEAN_GETTER` The name of the getter in the bean class.
`BEAN_SETTER` The name of the setter in the bean class.
`FOREIGN_COLUMN_CRITERIA_CACHE_FIELD` The name of the cache field for the criteria with which the last collection was accessed.
`FOREIGN_FIELD_JOIN_GETTER` The name of the getter method in the database object which joins the other table.
`PEER_JOIN_ALL_EXCEPT_SELECT_METHOD` The name of the peer class method which joins all the other tables except the referenced table.
`PEER_JOIN_SELECT_METHOD` The name of the peer class method which joins the other table.

Method Summary
`String` | `getName()` Returns the name of the referenced source element.
`String` | `toString()`
`static ForeignKeyChildAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForeignKeyChildAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FOREIGN_FIELD_JOIN_GETTER

    public static final ForeignKeyChildAttributeName FOREIGN_FIELD_JOIN_GETTER

  The name of the getter method in the database object which joins the other table.

### PEER_JOIN_SELECT_METHOD

    public static final ForeignKeyChildAttributeName PEER_JOIN_SELECT_METHOD

  The name of the peer class method which joins the other table.

### PEER_JOIN_ALL_EXCEPT_SELECT_METHOD

    public static final ForeignKeyChildAttributeName PEER_JOIN_ALL_EXCEPT_SELECT_METHOD

  The name of the peer class method which joins all the other tables except the referenced table.

### FOREIGN_COLUMN_CRITERIA_CACHE_FIELD

    public static final ForeignKeyChildAttributeName FOREIGN_COLUMN_CRITERIA_CACHE_FIELD

  The name of the cache field for the criteria with which the last collection was accessed.

### BEAN_GETTER

    public static final ForeignKeyChildAttributeName BEAN_GETTER

  The name of the getter in the bean class.

### BEAN_SETTER

    public static final ForeignKeyChildAttributeName BEAN_SETTER

  The name of the setter in the bean class.

Method Detail

### values

    public static ForeignKeyChildAttributeName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForeignKeyChildAttributeName c : ForeignKeyChildAttributeName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForeignKeyChildAttributeName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns the name of the referenced source element.

  Specified by:
    `getName` in interface `SourceAttributeName`
  Returns:
    the name of the referenced source element.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ForeignKeyChildAttributeName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.